Package org.eclipse.cdt.core.model

# Interface IContributedModelBuilder.Factory

Enclosing interface:
  IContributedModelBuilder

public static interface IContributedModelBuilder.Factory
A factory to create a model builder for a translation unit.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`IContributedModelBuilder`
`create(ITranslationUnit tu)`
Create a model builder for the given translation unit.

## Method Details

### create

IContributedModelBuilder create(ITranslationUnit tu)
Create a model builder for the given translation unit.

Parameters:
  `tu` - the translation unit
Returns:
  the model builder or `null` if no model builder could be created